## ags_globals

ags_globals

## Stability Level

Stable, unless otherwise indicated

## Functions

GHashTable * | ags_globals_get_hash_table ()
void | ags_globals_set ()
GValue * | ags_globals_get ()

## Description

## Functions

### ags_globals_get_hash_table ()

    GHashTable *
    ags_globals_get_hash_table ();

Get globals hash table.

#### Returns

the GHashTable containig globals.

[element-type utf8 GObject.Value][transfer none]

Since: 3.0.0

### ags_globals_set ()

    void
    ags_globals_set (gchar *key,
                     GValue *value);

Set global key/value.

#### Parameters

key | the key as string |
value | the GValue |

Since: 3.0.0

### ags_globals_get ()

    GValue *
    ags_globals_get (gchar *key);

Get global value for `key` .

#### Parameters

key | the key as string |

#### Returns

the GValue if `key` found, otherwise `NULL`

Since: 3.0.0